<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Breweries</title>

    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="../static/css/styles.css" th:href="@{/css/styles.css}">

    <!-- Bootstrap css -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="../static/css/fontawesome-free-5.12.0-web/css/all.css"
          th:href="@{/css/fontawesome-free-5.12.0-web/css/all.css}">


</head>
<body>
<div class="container-fluid">
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark sticky-top">
        <a class="navbar-brand" href="/">Beer-Tag</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="/beers">Beers <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="/breweries">Breweries</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/users">Users</a>
                </li>
            </ul>
            <ul class="nav navbar-nav ml-auto">
                <li class="nav-item " sec:authorize="isAnonymous()">
                    <a class="nav-link" href="/login">Login</a>
                </li>
                <li class="nav-item  " sec:authorize="isAuthenticated()">
                    <a class="nav-link" th:href="@{'/users/'+ ${user.id}}">My profile</a>
                </li>
                <li class="nav-item" sec:authorize="isAuthenticated() ">
                    <a class="nav-link" th:href="@{'/users/'+ ${user.id}}">
                        <img th:src="${user.photo}" class=" profile-picture"></a>
                </li>
                <li>
                    <form style="margin-top: 0;" sec:authorize="isAuthenticated()" th:action="@{/logout}" method="post">
                        <input type="submit" class="btn btn-link btn-logout" value="Logout"/>
                    </form>
                </li>
            </ul>
        </div>
    </nav> <!-- end of navbar -->

    <div th:if="${breweryPage.isEmpty()}">
        <div class="jumbotron jumbotron-fluid">
            <div class="container container-fluid">
                <h1 class="display-4">No Breweries located...</h1>
                <p class="lead">We are very sorry. There aren't any breweries at the moment.</p>
                <p class="lead">Would you like to add one?</p>
                <button type="button" class="btn btn-danger"
                        data-toggle="collapse"
                        data-target="#collapseBreweryForm">Add Brewery
                </button>
            </div>

            <div class="collapse container" id="collapseBreweryForm">
                <form th:action="@{/breweries/add-brewery}" method="post" enctype="multipart/form-data"
                      th:object="${breweryDTO}">
                    <div class="form-group">
                        <label for="empty_input_breweryname">Brewery Name</label>
                        <input type="text" class="form-control" id="empty_input_breweryname" th:field="*{name}"
                               min="5" max="20" minlength="5" maxlength="20" required>
                    </div>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <label class="input-group-text" for="emtpy_select_brewerycountry">Country</label>
                        </div>
                        <select class="custom-select" id="emtpy_select_brewerycountry" th:field="*{countryId}">
                            <!--                            <option selected></option>-->
                            <option th:each="country : ${countries}"
                                    th:value="${country.getId()}"
                                    th:text="${country.getName()}">One
                            </option>
                        </select>
                    </div>
                    <div class="form-group">
                        <input type="file" class="form-control-file" id="empty_filechoser_picture"
                               name="files" accept="image/x-png,image/gif,image/jpeg">
                    </div>
                    <button type="submit" class="btn btn-primary btn-danger">Submit Brewery</button>
                </form>
            </div>

        </div> <!-- end of jumbotron -->
    </div>

    <div th:unless="${breweryPage.isEmpty()}">
        <div class="jumbotron jumbotron-fluid">
            <div class="container container-fluid">
                <h1 class="display-4">All of our breweries!</h1>
                <p class="lead">Here you can see a list of all of our breweries.</p>
                <div class="row">
                    <div class="col">
                        <form th:action="@{/breweries}" method="get">
                            <div class="input-group mb-3">
                                <div class="input-group-prepend">
                                    <button class="btn btn-danger" type="submit" id="search_button-addon1">Search
                                    </button>
                                </div>
                                <input type="text" class="form-control"
                                       placeholder="Enter the name of the brewery you are looking for"
                                       th:name="name">
                                <div class="input-group-prepend">
                                    <button class="btn btn-danger" type="button" id="add_brewery_button-addon1"
                                            data-toggle="collapse"
                                            data-target="#collapseExample">Add Brewery
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <div class="collapse container" id="collapseExample">
                <form th:action="@{/breweries/add-brewery}" method="post" th:object="${breweryDTO}"
                      enctype="multipart/form-data">
                    <div class="form-group">
                        <label for="input_breweryname">Brewery Name</label>
                        <input type="text" class="form-control" id="input_breweryname"
                               minlength="5" maxlength="20" min="5" max="20" required th:field="*{name}">
                    </div>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <label class="input-group-text" for="select_brewerycountry">Country</label>
                        </div>
                        <select class="custom-select" id="select_brewerycountry" th:field="${breweryDTO.countryId}">
                            <option th:each="country : ${countries}"
                                    th:value="${country.getId()}"
                                    th:text="${country.getName()}">One
                            </option>
                        </select>
                    </div>
                    <div class="form-group">
                        <input type="file" class="form-control-file" id="filechoser_picture" name="files"
                               accept="image/x-png,image/gif,image/jpeg">
                    </div>
                    <button type="submit" class="btn btn-primary btn-danger">Submit Brewery</button>
                </form>
            </div>

        </div> <!-- end of jumbotron -->

        <div class="container justify-content-center">
            <div class="row">
                <div class="card mb-3" style="max-width: 540px; margin-right: 2rem;" th:each="brewery : ${breweryPage}">
                    <div class="row no-gutters">
                        <div class="col-md-4" style="height: 225px; width: 180px;">
                            <img class="card-img card-img-brewery" style="width: 100%; height: 100%;"
                                 alt="..."
                                 th:src="${brewery.getPicture()}" src="../../media/uploads/brewery-example.jpg">
                        </div>
                        <div class="col-md-8">
                            <div class="card-body" style="width: 300px;">
                                <h5 class="card-title" th:text="${brewery.getName()}">Brewery name</h5>
                                <p class="card-text" style="width: 260px; height: 24px; word-break: break-word"
                                   th:text="${brewery.getCountry().getName()}"></p>
                                <p class="card-text"><small class="text-muted" th:text="${brewery.getDateCreated()}">
                                    Created 3 mins ago</small>
<!--                                <div style="margin-left: 3.5rem;">-->
<!--                                    <button class="btn btn-danger"-->
<!--                                            data-toggle="modal"-->
<!--                                            data-target="#breweryEditModal">Update-->
<!--                                    </button>-->
<!--                                    <button class="btn btn-danger">Delete</button>-->
<!--                                </div>-->
                                </p>
                            </div>
                        </div>
                    </div>

                    <div class="modal fade" id="breweryEditModal" tabindex="-1" role="dialog">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLongTitle"
                                        th:text="${'Update Brewery ' + brewery.getName()}">Modal title</h5>
                                    <button type="button" class="close" data-dismiss="modal"></button>
                                </div>
                                <div class="modal-body">
                                    <form id="updateBreweryForm" th:action="${brewery.getId() + '/update'}"
                                          th:object="${newBrewery}" method="post"
                                          enctype="multipart/form-data">
                                        <div class="form-group">
                                            <label for="input_breweryname">Brewery Name</label>
                                            <input type="text" class="form-control" id="edit_input_breweryname" min="5"
                                                   max="25" required
                                                   minlength="5"
                                                   maxlength="25" th:field="*{name}">
                                        </div>
                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text" for="select_brewery">Country</label>
                                            </div>
                                            <select class="custom-select" id="select_brewery" th:field="*{country}">
                                                <option th:each="country : ${countries}"
                                                        th:value="${country.getId()}"
                                                        th:text="${country.getName()}">Brewery#1
                                                </option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <img th:src="@{${breweryDTO.getPhoto()}}"
                                                 style="width: 100px; height: 100px; border-color: #262626; border-style: solid;">
                                            <p>Current photo</p>
                                            <input type="file" class="form-control-file" id="filechoser_brewerypicture"
                                                   name="files">
                                        </div>
                                    </form>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary btn-danger" data-dismiss="modal">
                                        Close
                                    </button>
                                    <button form="updateBreweryForm" type="submit" class="btn btn-primary btn-danger">
                                        Save changes
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div> <!--- End of modal --->
                </div> <!-- end of card --->
            </div>

            <div class="row">
                <nav id="pagination-nav ">
                    <ul class="pagination justify-content-center">
                        <li class="page-item" th:if="${breweryPage.totalPages > 0}"
                            th:each="pageNumber : ${pageNumbers}">
                            <a id="pagination" class="page-link" th:href="@{/breweries/(size=${breweryPage.size}, page=${pageNumber},
                    name=${nameFilter},country=${countryFilter})}"
                               th:text="${pageNumber}"
                               th:class="'page-link ' + (${pageNumber==breweryPage.number + 1} ? 'active-page' : '')">
                                1
                            </a>
                        </li>
                    </ul>
                </nav><!-- End of pagination --->
            </div>
        </div>
    </div>
</div>

<!-- Bootstrap, JQuery and Popperjs -->
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>
</body>
</html>